#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.6 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

#i20156 - new file for xmlsecurity module

PRJ=..$/..$/..$/..$/..

PRJNAME=offapi

TARGET=xsec-crypto
PACKAGE=com$/sun$/star$/xml$/crypto

# --- Settings -----------------------------------------------------
.INCLUDE :  $(PRJ)$/util$/makefile.pmk

# ------------------------------------------------------------------------

IDLFILES=\
    XXMLSecurityTemplate.idl     \
    XXMLSignature.idl     \
    XXMLSignatureTemplate.idl     \
    XXMLEncryption.idl     \
    XXMLEncryptionTemplate.idl     \
    XXMLSecurityContext.idl     \
    XSecurityEnvironment.idl     \
    XSEInitializer.idl     \
    XMLSignature.idl     \
    XMLSignatureTemplate.idl     \
    XMLEncryption.idl     \
    XMLEncryptionTemplate.idl     \
    XMLSecurityContext.idl     \
    SecurityEnvironment.idl     \
    SEInitializer.idl     \
    XMLSignatureException.idl     \
    XMLEncryptionException.idl     \
    XUriBinding.idl    \
    SecurityOperationStatus.idl

# ------------------------------------------------------------------

.INCLUDE :  target.mk
.INCLUDE :  $(PRJ)$/util$/target.pmk
